## main application
Use to create Argo ApplicationSet that will combine tenant config and template to create one or multi applications on one or multi cluster

## argo tenant config
Contains configuration of tenants which can be cluster infor, application infor, ...